CHMEM(8)

NUME
chmem - configurează memoria

REZUMAT

chmem [-h] [-V*] [-v] [-e|-d] [DIMENSIUNE|INTERVAL -b INTERVAL-BLOC] [-z ZONA]

DESCRIERE

Comanda chmem stabilește o anumită dimensiune sau un anumit interval de memorie ca fiind activat sau dezactivat.

    • Specifică DIMENSIUNEA ca <dimensiune>[m|M|g|G]. Cu m sau M, <dimensiunea> specifică dimensiunea memoriei în Mio (1024 x 1024 octeți). Cu g sau G, <dimensiune> specifică dimensiunea memoriei în Gio (1024 x 1024 x 1024 bytes). Unitatea implicită este Mio.

    • Specifică INTERVALUL sub forma 0x<începe>-0x<termină>, așa cum se arată în ieșirea comenzii lsmem(1). <începe> este adresa hexazecimală a primului octet și <termină> este adresa hexazecimală a ultimului octet din intervalul de memorie.

    • Specifică INTERVAL-BLOC sub forma <primul>-<ultimul> sau <bloc>, așa cum se arată în ieșirea comenzii lsmem(1). <primul> este numărul primului bloc de memorie, iar <ultimul> este numărul ultimului bloc de memorie din intervalul de memorie. Alternativ, se poate specifica un singur bloc. INTERVAL-BLOC necesită opțiunea --blocks.

    • Specifică ZONA ca nume al unei zone de memorie, așa cum se arată în rezultatul comenzii lsmem -o +ZONE. Ieșirea arată una sau mai multe zone de memorie valide pentru fiecare interval de memorie. Dacă sunt afișate mai multe zone, atunci intervalul de memorie aparține în prezent primei zone. În mod implicit, chmem va stabili memoria activă în zona Movable, dacă aceasta se află printre zonele valide. Această valoare implicită poate fi modificată prin specificarea opțiunii --zone cu o altă zonă validă. Pentru umflarea memoriei, se recomandă să se selecteze zona Movable pentru memoria activă și inactivă, dacă este posibil. Memoria din această zonă are mult mai multe șanse să poată fi din nou inactivă, dar nu poate fi utilizată pentru alocări arbitrare ale nucleului, ci doar pentru pagini migrabile (de exemplu, pagini anonime și pagini din zona de stocare (cache) a paginilor). Utilizați opțiunea --help pentru a vedea toate zonele disponibile.

DIMENSIUNEA și INTERVALUL trebuie să fie aliniate la dimensiunea blocului de memorie Linux, așa cum se arată în ieșirea comenzii lsmem(1).

Stabilirea memoriei ca activă, poate eșua din diverse motive. Pe sistemele virtualizate, poate eșua dacă hipervizorul nu mai are suficientă memorie, de exemplu, pentru că memoria a fost suprasolicitată. Stabilirea memoriei ca inactivă poate eșua dacă Linux nu poate elibera memoria. În cazul în care numai o parte din memoria solicitată poate fi stabilită activă sau inactivă, un mesaj vă informează cât de multă memorie a fost stabilită activă sau inactivă în loc de cantitatea solicitată.

Când stabilește memoria ca activă, chmem începe cu cel mai mic număr de blocuri de memorie. La stabilirea memoriei ca dezactivată, chmem începe cu cel mai mare număr de blocuri de memorie.

OPȚIUNI

-b, --blocks
    Utilizează un parametru INTERVAL-BLOC în loc de INTERVAL sau DIMENSIUNE pentru opțiunile --enable și --disable.

-d, --disable
    Stabilește INTERVALUL, DIMENSIUNEA sau INTERVALUL-BLOC specificat de memorie ca dezactivat.

-e, --enable
    Stabilește INTERVALUL, DIMENSIUNEA sau INTERVALUL-BLOC specificat de memorie ca activat.

-z, --zone
    Selectează ZONA de memorie în care se va stabili INTERVALUL, DIMENSIUNEA sau INTERVALUL-BLOC de memorie specificat, activat sau dezactivat. În mod implicit, memoria va fi stabilită ca activată în zona Movable, dacă este posibil.

-v, --verbose
    Modul descriptiv. Face ca chmem să afișeze mesaje de depanare despre progresul său.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

chmem are următoarele valori de stare de ieșire:

0
    succes

1
    eșec

64
    succes parțial

EXEMPLU

chmem --enable 1024
    Această comandă solicită ca 1024 Mio de memorie să fie configurată ca activată.

chmem -e 2g
    Această comandă solicită ca 2 Gio de memorie să fie configurată ca activată.

chmem --disable 0x00000000e4000000-0x00000000f3ffffff
    Această comandă solicită ca intervalul de memorie care începe cu 0x00000000e4000000 și se termină cu 0x000000000000f3ffffffff să fie stabilit ca dezactivat.

chmem -b -d 10
    Această comandă solicită ca blocul de memorie numărul 10 să fie stabilit ca dezactivat.

CONSULTAȚI ȘI

lsmem(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda chmem face parte din pachetul util-linux care poate fi descărcat de la